Subject: Re: Re: Changing from textmode to binmode mounting
From: Patrick Eisenacher <[email-masked]>
To: [email-masked]
Date: Tue, 02 Jul 2002 13:30:12 +0200

Hi Peter,

here is how I did it:

Go to to cygwin\bin directory and run the following command from a
Windows shell:

   mount -bs --change-cygdrive-prefix /cygdrive

HTH,
Patrick

> David Starks-Browning <[email-masked]> writes:
> 
> > On  1 Jul 02, Peter Davis writes:
> > > 
> > > For some reason, my Win2000 machine has everything mounted in
> > > textmode, although my WinNT machine correctly mounts in binmode.  In
> > > textmode, my fetchmail spool file is unreadable by MH and other mail
> > > utilities?
> > > 
> > > Can someone tell me how to switch from textmode to binmode?  I tried
> > > the command
> > > 
> > >     mount -b --change-cygdrive-prefix cygdrive
> > > 
> > > as suggested in the faq, but it seemed to have no effect.  
> > 
> > You say "everything" is mounted in textmode, but that command will
> > only change the cygdrive mounts.  Also user mounts will override
> > system mounts (or vice versa?).  This can be confusing if you change
> > the system mount but the user mount hides the change (or vice versa?).
> 
> Here's what I have:
> 
> $ mount
> C:\cygwin\bin on /usr/bin type user (textmode)
> C:\cygwin\lib on /usr/lib type user (textmode)
> C:\cygwin on / type user (textmode)
> c: on /cygdrive/c type user (textmode,noumount)
> d: on /cygdrive/d type user (textmode,noumount)
> m: on /cygdrive/m type user (textmode,noumount)
> q: on /cygdrive/q type user (textmode,noumount)
> r: on /cygdrive/r type user (textmode,noumount)
> 
> I've tried
> 
>     mount -b --change-cygdrive-prefix cygdrive
>     mount: cygdrive: Invalid argument
> 
> I also tried
> 
>     mount -b --change-cygdrive-prefix /cygdrive
>     mount -b --change-cygdrive-prefix /cygwin
> 
> 
> No messages, but nothing changes.  Am I missing something?
> 
> Thanks,
> 
> 
> -pd

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/